Subject: bug#35750: closed (Re: bug#35750: `guix import hackage` is unaware of metadata revisions)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Jun 2019 02:33:02 +0000

Your bug report

#35750: `guix import hackage` is unaware of metadata revisions

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35750: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35750
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35750: `guix import hackage` is unaware of metadata revisions
From: Timothy Sample <[email-masked]>
To: Robert Vollmert <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Jun 2019 22:32:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Robert,

Robert Vollmert <[email-masked]> writes:

> As far as I can tell, `guix import hackage` imports the first revision
> of a hackage
> release.
>
> I suggest aiming to import the latest cabal revision from hackage, as
> already supported by haskell-build-system via the #:cabal-version
> argument.

Thanks to your patch <https://bugs.gnu.org/36048>, this is now fixed.
Closing.

-- Tim

Subject: `guix import hackage` is unaware of metadata revisions
From: Robert Vollmert <[email-masked]>
To: [email-masked]
Date: Wed, 15 May 2019 17:06:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As far as I can tell, `guix import hackage` imports the first revision of a hackage
release.

I suggest aiming to import the latest cabal revision from hackage, as
already supported by haskell-build-system via the #:cabal-version
argument.

In the meantime, documenting this in the `guix import hackage` documentation
would be much appreciated, it took me quite a long time to figure out what
was going wrong here.